Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2751 - fclose() crashs mod_php3
Summary: fclose() crashs mod_php3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mod_php3
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-12 01:07 UTC by Jay Freeman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-26 15:51:32 UTC


Attachments (Terms of Use)

Description Jay Freeman 1999-05-12 01:07:52 UTC
When running the following script:

<?
$fh = fopen( 'myfile', 'w' );
fwrite( $fh, 'ttt', 3 );
fclose( $fh );
?>TTT

:the file is updated, but no data is returned to the client,
and the following error message is logged to apache's main
error log:

[Tue May 11 20:04:25 1999] [notice] child pid 24123 exit
signal Segmentation fault (11)

If the fclose() line is commented out, it executes
without error and sends "TTT" to the client.

(I've never used PHP3 before today, so I might have totally
missed something, found this while trying to get IMP (a
webbased IMAP client written in PHP3) to work.)

Comment 1 Jay Freeman 1999-05-23 15:10:59 UTC
PHP 3.0.8 was just released yesterday which includes "a number of bug
fixes, including glibc-2.1 related issues that caused previous
versions not to work with RedHat 6.0." :)

Comment 2 Preston Brown 1999-05-26 15:45:59 UTC
There will shortly be a update RPM of PHP 3.0.8 available for Red Hat
Linux 6.0 which will fix this and other issues.


Note You need to log in before you can comment on or make changes to this bug.